package com.supervision.pdfqaserver.service;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.chat.model.ChatResponse;
import org.springframework.ai.chat.prompt.Prompt;
import org.springframework.ai.openai.OpenAiChatModel;
import reactor.core.publisher.Flux;
import org.springframework.stereotype.Service;
@Slf4j
//@Service
@RequiredArgsConstructor
public class DeepSeekApiImpl  implements AiCallService {
    private final OpenAiChatModel ollamaChatModel;
    @Override
    public String call(String prompt) {

        if (prompt.endsWith("./no_think")){
            prompt = prompt.replace("./no_think", "");
        }
        prompt = prompt.replace("./no_think", "");
        return ollamaChatModel.call(prompt);
    }

    @Override
    public Flux<ChatResponse> stream(Prompt prompt) {
        return ollamaChatModel.stream(prompt);
    }

    @Override
    public void embedding(String text) {

    }
}
